## python-seamicroclient 0.4.0+2016.05.20.git.40ee44c664

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
iso8601>=0.1.8
PrettyTable>=0.7,<0.8
requests>=1.1
simplejson>=2.0.9
six>=1.4.1
Babel>=1.3

## python-seamicroclient 0.1.0

=== debian/changelog ===
python-seamicroclient (0.1.0-2) unstable; urgency=medium

  * Added missing build-depends: openstack-pkg-tools (Closes: #741539).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2014 06:09:23 +0000

python-seamicroclient (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #738328)

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 15:34:09 +0800

=== debian/control ===
Source: python-seamicroclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: openstack-pkg-tools,
               debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-babel (>= 1.3),
               python-coverage (>= 3.6),
               python-fixtures (>= 0.3.14),
               python-hacking (>= 0.8.0),
               python-iso8601 (>= 0.1.8),
               python-keyring (>=1.6.1),
               python-mock (>= 1.0),
               python-pbr (>= 0.5.21),
               python-prettytable,
               python-setuptools,
               python-simplejson,
               python-six (>= 1.4.1),
               python-sphinx (>= 1.1.2),
               python-testtools (>= 0.9.32),
               testrepository (>= 0.0.17)
#               python3-all,
#               python3-babel (>= 1.3),
#               python3-iso8601 (>= 0.1.8),
#               python3-pbr (>= 0.5.21),
#               python3-prettytable,
#               python3-setuptools,
#               python3-simplejson,
#               python3-six (>= 1.4.1),
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-seamicroclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-seamicroclient.git
Homepage: https://github.com/seamicro/python-seamicroclient

Package: python-seamicroclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.8),
         python-pbr (>= 0.5.21),
         python-prettytable,
         python-requests (>= 1.1),
         python-simplejson,
         python-six (>= 1.4.1),
         ${misc:Depends},
         ${python:Depends}
Description: Client library for Seamicro chassis API - Python 2.x
 Python client for consuming SeaMicro REST API v2.0
 .
 This package contains the Python 2.x module.

#Package: python3-seamicroclient
#Architecture: all
#Pre-Depends: dpkg (>= 1.15.6~)
#Depends: python3-babel (>= 1.3),
#         python3-pbr (>= 0.5.21),
#         python3-prettytable,
#         python3-requests (>= 1.1),
#         python3-simplejson,
#         python3-six (>= 1.4.1),
#         ${misc:Depends},
#         ${python3:Depends}
#Description: Client library for Seamicro chassis API - Python 3.x
# Python client for consuming SeaMicro REST API v2.0
# .
# This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/seamicro/python-seamicroclient.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2
	#,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-seamicroclient; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-seamicroclient; \
#	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && for pyvers in $(PYTHONS); do \
		PYTHON=python$$pyvers python$$pyvers setup.py testr || true ; \
	done
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python-seamicroclient python-seamicroclient-(.*).tar.gz

## python-seamicroclient 0.2.0

=== debian/changelog ===
python-seamicroclient (0.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1305220)
    - Remove use of auth_token for REST API. Fixes concurrent access by
      using user/password each time instead of auth_token (LP: #1302828)
  * debian/watch: Updated to include correct URL link.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 09 Apr 2014 13:37:27 -0400

python-seamicroclient (0.1.0-2ubuntu1) trusty; urgency=medium

  * debian/control:
    - Drop Build-Depends on python-hacking since we don't use pep8 testing.
    - Add Build-Depends on python-requests.
  * debian/rules: Run tests with testr instead.
  * debian/patches/skip-tests.patch: Skip various tests as they require to
    have actual hardware to test against.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 28 Mar 2014 12:17:18 -0400

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,6 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	set -e && for pyvers in $(PYTHONS); do \
-		PYTHON=python$$pyvers python$$pyvers setup.py testr || true ; \
+		testr init && testr run; \
 	done
 endif

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/python-seamicroclient/python-seamicroclient-(.*).tar.gz

## python-seamicroclient 0.2.1

=== debian/changelog ===
python-seamicroclient (0.2.1-0ubuntu1~ctools1) precise; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.
  * debian/control: drop python-coverage and python-keyring build-depends
     to reduce dependencies.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Jul 2014 10:28:00 -0400

python-seamicroclient (0.2.1-0ubuntu1) trusty-proposed; urgency=medium

  * New upstream bugfix release.
    - This release only fixes connection issues when trying to power on/off
      multiple nodes at the same time. (LP: #1311140)
  * debian/patches/fix-tests.patch: Fix tests.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 22 Apr 2014 12:18:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-seamicroclient
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
@@ -9,11 +10,8 @@
                debhelper (>= 9),
                python-all (>= 2.6.6-3~),
                python-babel (>= 1.3),
-               python-coverage (>= 3.6),
                python-fixtures (>= 0.3.14),
-               python-hacking (>= 0.8.0),
                python-iso8601 (>= 0.1.8),
-               python-keyring (>=1.6.1),
                python-mock (>= 1.0),
                python-pbr (>= 0.5.21),
                python-prettytable,
@@ -22,7 +20,8 @@
                python-six (>= 1.4.1),
                python-sphinx (>= 1.1.2),
                python-testtools (>= 0.9.32),
-               testrepository (>= 0.0.17)
+               testrepository (>= 0.0.17),
+               python-requests
 #               python3-all,
 #               python3-babel (>= 1.3),
 #               python3-iso8601 (>= 0.1.8),
@@ -32,6 +31,7 @@
 #               python3-simplejson,
 #               python3-six (>= 1.4.1),
 Standards-Version: 3.9.5
+X-Python-Version: >= 2.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-seamicroclient.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-seamicroclient.git
 Homepage: https://github.com/seamicro/python-seamicroclient

## python-seamicroclient 0.4.0

=== debian/changelog ===
python-seamicroclient (0.4.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Added missing build-depends-indep: subunit.
  * Removed argparse from requirements.txt and lift pbr upper bound.
  * Added missing python-requests build-dep.
  * Blacklist a number of tests:
    - tests.test_http.ClientTest.test_get
    - test_http.ClientTest.test_post
    - v2.test_fantrays.FanTraysTest.test_list_fantrays
    - v2.test_scards.ScardsTest.test_list_scards
    - v2.test_servers.ServersTest.test_server_set_tagged_vlan
    - v2.test_servers.ServersTest.test_server_set_untagged_vlan
    - v2.test_servers.ServersTest.test_server_unset_tagged_vlan
    - v2.test_servers.ServersTest.test_server_unset_untagged_vlan
    - v2.test_system.Systemstest.test_list_system
  * Using OpenStack's Gerrit as VCS URLs.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2016 10:31:04 +0100

python-seamicroclient (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends.
  * Watch file using Github tags and not broken PyPi.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 00:08:05 +0200

=== debian/control ===
Source: python-seamicroclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: openstack-pkg-tools,
               debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures,
                     python-hacking,
                     python-iso8601,
                     python-keyring,
                     python-mock,
                     python-prettytable,
                     python-requests,
                     python-simplejson,
                     python-six,
                     python-testtools,
                     subunit,
                     testrepository,
#               python3-all,
#               python3-babel (>= 1.3),
#               python3-iso8601 (>= 0.1.8),
#               python3-pbr (>= 0.5.21),
#               python3-prettytable,
#               python3-requests,
#               python3-setuptools,
#               python3-simplejson,
#               python3-six (>= 1.4.1),
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-seamicroclient?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-seamicroclient -b debian/newton
Homepage: https://github.com/seamicro/python-seamicroclient

Package: python-seamicroclient
Architecture: all
Depends: python-babel,
         python-iso8601,
         python-pbr,
         python-prettytable,
         python-requests,
         python-simplejson,
         python-six,
         ${misc:Depends},
         ${python:Depends}
Description: Client library for Seamicro chassis API - Python 2.x
 Python client for consuming SeaMicro REST API v2.0
 .
 This package contains the Python 2.x module.

#Package: python3-seamicroclient
#Architecture: all
#Depends: python3-babel,
#         python3-pbr,
#         python3-prettytable,
#         python3-requests,
#         python3-simplejson,
#         python3-six,
#         ${misc:Depends},
#         ${python3:Depends}
#Description: Client library for Seamicro chassis API - Python 3.x
# Python client for consuming SeaMicro REST API v2.0
# .
# This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/seamicro/python-seamicroclient.git
+UPSTREAM_GIT := https://github.com/seamicro/python-seamicroclient.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -22,9 +22,18 @@
 #			--root $(CURDIR)/debian/python3-seamicroclient; \
 #	done
 
+override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	set -e && for pyvers in $(PYTHONS); do \
-		testr init && testr run; \
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'seamicroclient.tests.(?!(.*functional.*|.*test_http\.ClientTest.test_get.*|.*test_http\.ClientTest.test_post.*|.*v2\.test_fantrays\.FanTraysTest\.test_list_fantrays.*|.*v2\.test_scards\.ScardsTest\.test_list_scards.*|.*v2\.test_servers.ServersTest\.test_server_set_tagged_vlan.*|.*v2\.test_servers\.ServersTest\.test_server_set_untagged_vlan.*|.*v2\.test_servers\.ServersTest\.test_server_unset_tagged_vlan.*|.*v2\.test_servers\.ServersTest\.test_server_unset_untagged_vlan.*|.*v2\.test_system\.Systemstest\.test_list_system.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
 	done
 endif

## python-seamicroclient 0.4.0%2B2016.05.20.git.40ee44c664

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/seamicro/python-seamicroclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf .testrepository build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'seamicroclient.tests.(?!(.*functional.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

## python-seamicroclient 0.4.0+2016.05.20.git.40ee44c664

=== debian/changelog ===
python-seamicroclient (0.4.0+2016.05.20.git.40ee44c664-4) unstable; urgency=medium

  [ kanashiro ]
  * Add patch to add a PKG-INFO.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2020 18:29:14 +0200

python-seamicroclient (0.4.0+2016.05.20.git.40ee44c664-3) unstable; urgency=medium

  * Fixup calling unit tests, which fixes FTBFS (Closes: #950044).

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jan 2020 16:34:57 +0100

python-seamicroclient (0.4.0+2016.05.20.git.40ee44c664-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:52:36 +0200

python-seamicroclient (0.4.0+2016.05.20.git.40ee44c664-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream (git head) release.
  * Added missing build-depends-indep: subunit.
  * Removed argparse from requirements.txt and lift pbr upper bound.
  * Added missing python-requests build-dep.
  * Updating standards version to 4.3.0.
  * Removed inactive developer.
  * Using compat level 10.
  * Switch the package to Python 3.
  * Run unit tests with installed Python module.
  * Add removed-failing-tests.patch.

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 11:05:49 +0100

=== debian/control ===
Source: python-seamicroclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-fixtures,
 python3-iso8601,
 python3-keyring,
 python3-mock,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-seamicroclient
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-seamicroclient.git
Homepage: https://github.com/seamicro/python-seamicroclient

Package: python3-seamicroclient
Architecture: all
Depends:
 python3-babel,
 python3-iso8601,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Seamicro chassis API - Python 3.x
 Python client for consuming SeaMicro REST API v2.0
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	rm -rf .testrepository build .stestr *.egg-info
-	find . -iname '*.pyc' -delete
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf .testrepository
 
 override_dh_auto_build:
 	echo "Do nothing..."
